# $Revision: 1.31 $, $Date: 2006/03/13 22:13:30 $
Summary:	The routing daemon which maintains routing tables
Summary(de):	RIP-Routing-Dmon fr automatische Route-Tabellenverwaltung
Summary(es):	Servidor RIP para manutencin automtica de tabla de rutas
Summary(fr):	Dmon de routage RIP pour maintenante automatique de la table de routage
Summary(pl):	Demon zarzdzajcy tablicami rutingu
Summary(pt_BR):	Servidor RIP para manuteno automtica de tabela de rotas
Summary(tr):	RIP - otomatik ynlendirme protokol
Name:		routed
Version:	0.17
Release:	12
License:	BSD
Group:		Networking/Daemons
Source0:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
# Source0-md5:	3a9507876db23109be6d1f41ced5570a
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		netkit-%{name}-install.patch
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The routed routing daemon handles incoming RIP traffic and broadcasts
outgoing RIP traffic about network traffic routes, in order to
maintain current routing tables. These routing tables are essential
for a networked computer, so that it knows where packets need to be
sent.

%description -l de
Es gibt eine Auswahl von Protokollen fr die automatische
Aktualisierung von TCP/IP-Routing-Tabellen, von denen RIP das
einfachste ist. Dieses Paket enthlt einen Dmon, der
RIP-Routing-Meldungen rundsendet und hereinkommende RIP-Pakete
abfertigt.

%description -l es
Varios protocolos estn disponibles para actualizacin`` automtica de
tablas de rutado TCP/IP. RIP es el ms sencillo de estos, y este
paquete incluye un servidor que transmite y recibe notificaciones de
rutado en este protocolo.

%description -l fr
Il existe de nombreux protocoles pour la mise  jour automatique des
tables de routage de TCP/IP. RIP est le plus simple d'entre eux et ce
paquetage contient un dmon qui diffuse la notification de routage RIP
et gre les paquets RIP entrants.

%description -l pl
routed to demon routingu obsugujcy przychodzcy ruch RIP i
rozsyajcy wychodzcy ruch RIP po trasach w sieci, aby zarzdza
aktualnymi tablicami routingu. Te tablice routing to podstawa dla
komputera podczonego do wielu sieci, ktry dziki nim wie, dokd
pakiety powinny by wysyane.

%description -l pt_BR
Vrios protocolos esto disponveis para atualizao automtica de
tabelas de roteamento TCP/IP. O RIP  o mais simples destes, e este
pacote inclui um servidor que transmite e recebe notificaes de
roteamento neste protocolo.

%description -l tr
Ynlendirme tablolarnn gncellenmesi iin bir dizi yntem vardr.
RIP bunlarn en basitleri arasnda yer alr. Bu sunucu RIP bilgilerini
yaynlar ve dinledii RIP bilgilerine gre ynlendirme tablolarn
gnceller.

%prep
%setup -q -n netkit-%{name}-%{version}
%patch0 -p1

%build
./configure --with-c-compiler=gcc
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,sysconfig}

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/routed
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/routed

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add routed
%service routed restart "routed server"

%preun
if [ "$1" = "0" ]; then
	%service routed stop
	/sbin/chkconfig --del routed
fi

%files
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/routed
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/routed
%attr(755,root,root) %{_sbindir}/routed
%attr(755,root,root) %{_sbindir}/ripquery
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: routed.spec,v $
Revision 1.31  2006/03/13 22:13:30  glen
- use %service

Revision 1.30  2006/01/28 20:24:07  dzeus
- s/Routed/routed/ in desc

Revision 1.29  2006/01/28 07:16:14  dzeus
- rel. 12, STBR

Revision 1.28  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.27  2004/12/23 15:57:10  darekr
- missing file

Revision 1.26  2004/04/26 18:35:26  adamg
- release 11 for Ac (10 is for Ra)

Revision 1.25  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.24  2003/05/28 13:01:40  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:26:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2002/02/25 09:17:47  kloczek
- release 10: merge translations from Conectiva.

Revision 1.21  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:29:41  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/18 08:30:47  marcus
- rel.2.

Revision 1.18  2002/01/18 02:14:48  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2002/01/08 15:16:31  qboosh
- s/postun/preun/ (init.d/routed must exist to stop daemon)

Revision 1.16  2001/12/13 11:29:03  qboosh
- pl description

Revision 1.15  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.13  2001/05/02 16:29:12  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.12  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.11  2000/09/26 16:25:35  baggins
- finished updated to 0.17
- fixed init scripts

Revision 1.10  2000/08/24 21:25:43  pascalek
- update to 0.17

Revision 1.9  2000/06/12 14:55:06  kloczek
- merged Berolinux de, fr, tr translations,
- cosmetics.

Revision 1.8  2000/06/12 14:19:55  baggins
- fixed Group
- standarized pre/post scripts
- added routed.sysconfig

Revision 1.7  2000/06/09 17:03:58  baggins
- version 0.16
- removed old patches
- added patches from rawhide
- standarized spec

Revision 1.6  2000/06/09 07:23:58  kloczek
- added using %{__make} macro.

Revision 1.5  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.2  1999/09/11 14:02:16  misiek
- fixed requires (PR#52)

Revision 1.1  1999/08/19 20:07:26  baggins
- almost raw
  Based on RedHat spec.
